
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>UI前沿技术-WPF中的多点触控操作事件 / iVAN</title>

    <meta name="description" content="UI前沿技术-WPF中的多点触控操作事件 就在过去几年,多点触控还只是科幻电影中表现未来主义的一种重要手法,现在俨然已经成为主流的用户界面技术.多点触控显示屏现在成了新型智能手机和 Tablet 计算机的标准显示屏.此外,它还可能在公共场所的计算机上普及,例如 Microsoft Surface 率先开发的网亭或桌面计算机. 实际存在的唯一不确定因素是多点触控在常规台式计算机上的普及.这种普及的最大障碍或许是长时间在垂直屏幕上移动手指所产生的疲劳(称为&quot;大猩猩手臂&quot;).我个人希望多点触控的强大功能将切实推进桌面显示屏 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">UI前沿技术-WPF中的多点触控操作事件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>就在过去几年，多点触控还只是科幻电影中表现未来主义的一种重要手法，现在俨然已经成为主流的用户界面技术。多点触控显示屏现在成了新型智能手机和 Tablet 计算机的标准显示屏。此外，它还可能在公共场所的计算机上普及，例如 Microsoft Surface 率先开发的网亭或桌面计算机。</p>
<p>实际存在的唯一不确定因素是多点触控在常规台式计算机上的普及。这种普及的最大障碍或许是长时间在垂直屏幕上移动手指所产生的疲劳（称为“大猩猩手臂”）。我个人希望多点触控的强大功能将切实推进桌面显示屏的重新设计。我们可以设想台式计算机的显示屏可能类似于配置制图桌，并且可能和制图桌一样大。</p>
<p>但那可能发生在遥远的未来。目前，开发人员需要掌握新的 API。Windows 7 中的多点触控支持已通过低级别和高级别的接口渗透并应用到 Microsoft .NET Framework 的各个领域。</p>
<p>了解多点触控支持</p>
<p>如果您考虑到在显示屏上使用多根手指可能引起表达的复杂性，您或许就会了解为何到现在还没有人确切知道多点触控的“正确”编程接口。这需要一定时间。同时，您具有若干选择。</p>
<p>Windows Presentation Foundation (WPF) 4.0 为在 Windows 7 下运行的程序提供了两个多点触控接口。为了专门使用多点触控，程序员希望探索低级别接口，该接口包含由 UIElement 定义的多个路由事件（名为 TouchDown、TouchMove、TouchUp、TouchEnter 和 TouchLeave）以及向下、移动和向上事件的预览版本。显然，这些事件是根据鼠标事件建模的，但需要一个整数 ID 属性来跟踪显示屏上的多根手指。Microsoft Surface 在 WPF 3.5 的基础上构建，不过它支持范围更广的低级别触控接口，可区分触控输入的类型和形状。</p>
<p>本专栏的主题是 WPF 4.0 中的高级别多点触控支持，它包含一个名称以“Manipulation”一词开头的事件的集合。这些操作事件执行多个关键的多点触控作业：</p>
<p>将两根手指的交互合并成单个操作</p>
<p>将一根或两根手指的移动解析成转换</p>
<p>在手指离开屏幕时实现延时</p>
<p>Silverlight 4 文档中列出了部分操作事件，但可能会让读者产生一丝迷惑。Silverlight 本身不支持这些事件，但针对 Windows Phone 7 编写的 Silverlight 应用程序则支持这些事件。图 1 列出了这些操作事件。</p>
<p>图 1 Windows Presentation Foundation 4.0 中的操作事件</p>
<table>
<tbody>
<tr>
<td>事件</td>
<td>是否受 Windows Phone 7 支持？</td>
</tr>
<tr>
<td>ManipulationStarting</td>
<td>不能</td>
</tr>
<tr>
<td>ManipulationStarted</td>
<td>能</td>
</tr>
<tr>
<td>ManipulationDelta</td>
<td>能</td>
</tr>
<tr>
<td>ManipulationInertiaStarted</td>
<td>不能</td>
</tr>
<tr>
<td>ManipulationBoundaryFeedback</td>
<td>否</td>
</tr>
<tr>
<td>ManipulationCompleted</td>
<td>是</td>
</tr>
</tbody>
</table>
<p>基于 Web 的 Silverlight 4 应用程序将继续使用 Touch.FrameReported 事件，我曾在 2010 年 3 月出版的 MSDN 杂志“手指之舞：探讨 Silverlight 中的多点触控支持”一文中探讨过该事件。</p>
<p>除操作事件本身以外，WPF 中的 UIElement 类还支持与操作事件对应的可覆盖方法，例如，On­ManipulationStarting。在 Silverlight for Windows Phone 7 中，这些可覆盖方法由 Control 类定义。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 08:24:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/%e6%94%af%e6%8c%81/" title="支持">支持</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6/" title="事件">事件</a>, <a href="https://www.iamivan.net/tag/silverlight/" title="silverlight">silverlight</a>, <a href="https://www.iamivan.net/tag/%e6%98%be%e7%a4%ba%e5%b1%8f/" title="显示屏">显示屏</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a6%e6%8e%a7/" title="触控">触控</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e6%b2%bf/" title="前沿">前沿</a>, <a href="https://www.iamivan.net/tag/touchup/" title="touchup">touchup</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e7%82%b9%e8%a7%a6%e6%8e%a7/" title="多点触控">多点触控</a>, <a href="https://www.iamivan.net/tag/%c2%a0touchdown%c2%a0%c2%a0%e6%9c%89%e5%bb%b6%e8%bf%9f/" title="&nbsp;touchdown&nbsp;&nbsp;有延迟">&nbsp;touchdown&nbsp;&nbsp;有延迟</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9e%e7%8e%b0%e5%a4%9a%e7%82%b9%e8%a7%a6%e6%8e%a7/" title="实现多点触控">实现多点触控</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e7%82%b9%e8%a7%a6%e6%8e%a7%e8%af%a6%e8%a7%a3/" title="多点触控详解">多点触控详解</a>, <a href="https://www.iamivan.net/tag/%e6%89%8b%e6%8c%87/" title="手指">手指</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a6%e6%8e%a7%e4%ba%8b%e4%bb%b6/" title="触控事件">触控事件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>UI前沿技术-WPF中的多点触控操作事件的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxoVrOb.html" rel="bookmark">MSDN 杂志：UI 前沿技术 - WPF 中的多点触控操作事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文  MSDN 杂志:UI 前沿技术 - WPF 中的多点触控操作事件 UI 前沿技术 WPF 中的多点触控操作事件 Charles Petzold 下载代码示例 就在过去几年,多点触控还只是科幻电影中表现未来主义的一种重要手法,现在俨然已经成为主流的用户界面技术. 多点触控显示屏现在成了新型智能手机和 Tablet 计算机的标准显示屏. 此外,它还可能在公共场所的计算机上普及,例如 Microsoft Surface 率先开发的网亭或桌面计算机. 实际存在的唯一不确定因素是多点触控在常规台式			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2EEQz.html" rel="bookmark">手指之舞 &ndash; 探讨Silverlight中的多点触控支持</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每次去纽约的美国自然历史博物馆,我必定会好好参观一下灵长类馆.灵长类馆选择了大量的骨骼和剥制标本,展示了一幅灵长类动物进化的全景,动物从极小的树鼩.狐猴和绒猴一直到黑猩猩.大猩猩和人类. 这个展览最引人注目的是所有灵长类动物都有着惊人的共性:手的骨骼结构相同,包括一个对生拇指.这种使我们的祖先和远亲可以抓握从而爬上树枝的相同关节排列和数目,让我们的物种可以影响周围的世界和从事建造工作.我们的双手可能源于数百万年前小型灵长类动物的爪子,而双手也是使我们真正成为人类的重要因素. 我们会本能地伸出手指			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRw3vz.html" rel="bookmark">ontouchevent-如何关闭在一个应用中的多点触控</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何关闭在一个应用中的多点触控 我希望在这个应用中只支持单点触控,或者说屏蔽第二点及以上的触点.因为我的这个应用开发完成后出现一个问题,就是当前界面中同时点击多个控件都会响应.考虑过使用OnTouchEvent这个方法,可是又发现,那样的话,我需要把所有的控件都添加监听.这个工程量很大啊.有没有更好的方法呢?希望大家给指条明路......			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbExRJz.html" rel="bookmark">Photoshop CS4 for Mac 支持多点触控操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Adobe CS4 这几天已经可以正式接受预定,然而关于其 Photoshop CS4 当中存在的某个先前大家没注意.没公开的小功能(不知道是不是早就有人发现了呢?),或许可以让 Mac 使用者(特别是 MBA.MBP 的使用者)更坚定的升级.(要怎样升级就不是咱们管得了的了!) 是的!根据 Wired 报导,PS CS4 现在已经支持了 MBA.MBP 触摸板上的多点触控操作:这位编辑在玩乐许久的 beta 版上发现了一些多点触控操作的支持,包括了两根手指操作的放大缩小.旋转图片.浏览时用手指			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M62dNOM.html" rel="bookmark">UI前沿技术 &ndash; WPF应用程序中的MIDI音乐</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每一台 PC 都包含一个内置的 16 人乐队,可播放一些音乐.人们不容易注意此乐队的成员,因为它 们表示的可能是 Windows 所支持的声音和视频功能阵列中利用最不充分的组件. 此 16 人乐队是在符合 MIDI(乐器数字接口)标准的硬件或软件中实现的电子音乐合成器.在 Win32 API 中,以单词 midiOut 开头的函数支持使用 MIDI 合成器播放音乐. MIDI 支持不是 .NET Framework 的一部分,但如果要在 Windows 窗体或 Windows Presentat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgZYkb.html" rel="bookmark">多点触摸-IE中多点触控如何禁止</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 IE中多点触控如何禁止 现在有一台PC,硬件支持多点触控.安装win7 操作系统.现在安装了一个应用程序,控制层用vc++开发,页面部分用的是html和vb开发.应用程序启动时,浏览器会启动显示.现在希望在IE浏览器中禁止多点触控操作.其他应用程序中都依旧支持触控操作.具体需要做哪些处理呢?各路大神请不吝赐教~ 解决方案 这个最后暂定处理方式:win7 ie支持的四种触摸动作为:ontouchstart ontouchmove ontouchend ontouchcancel 用js实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0BmXnz.html" rel="bookmark">谷歌升级NexusOne软件支持多点触控</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				北京时间2月3日早间消息,据国外媒体报道,谷歌周二宣布,将对Nexus One手机的软件进行重要升级,其中包括在浏览器等应用中支持多点触控操作. 经过升级后,Nexus One将集成谷歌Goggles可视化搜索应用.此外,谷歌还对谷歌地图应用进行了升级,加入了建议和专用夜间模式等功能.更重要的是,谷歌使浏览器.相册和地图等应用支持多点触控操作.谷歌还对Nexus One的3G性能进行了改进.谷歌预计将在本周末面向所有用户发布这一升级.(维金)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDjlVlM.html" rel="bookmark">传苹果要求Google不得使用多点触控技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 北京时间2月10日消息,据科技博客VentureBeat报道,日前有Google Android团队成员表示,苹果要求Google不在Android系统中使用多点触控技术,而Google对此表示同意. 首款Android手机HTC G1的触摸屏中并未使用多点触控技术,这引发了用户的不满和疑问.多点触控使用户可同时用多个手指操作触摸屏,支持各种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9YGq3M.html" rel="bookmark">Android中多点触控以及手势的基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在一般的android手机都会使用电容触摸屏,所以基本上都会支持多点触控,同样在android系统中应用程序可以使用多点触控的事件来完成各种手势和场景需求,下面简单讲一下如何使用多点触控: 1.相关接口和事件介绍 MotionEvent.getAction() 对于单点触控,我们由MotionEvent.getAction()就可以得到以下几种事件:ACTION_DOWN.ACTION_UP等 MotionEvent.ACTION_MASK 而对于多点触控,我们需要由MotionEvent.g			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo32Bb.html" rel="bookmark" class="title">使用Sass Mixins自动生成Icons Sprite</a>
					<div>
						文章简介:Sass Mixins--支持Retina的Icons Sprite. Retina雪碧图标--在你的网站上前端人员可以很容易使用Sass Mixins自动生成.不过你需要在项目中安装Sas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9J9Kp.html" rel="bookmark" class="title">PHP＋DBM的同学录程序&lpar;1&rpar;</a>
					<div>
						程序 这个同学录原来给我们班级用的,因为服务器没有mysql支持,就选择了dbm 国内还没有什么dbm程序,国外也几乎没有 花了一个晚上,在几乎没有任何参考的情况下写了出来 现在公布出来 是一个非常好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQKlwp.html" rel="bookmark" class="title">符合标准的正常工作的对联广告</a>
					<div>
						符合标准的正常工作的对联广告以下是HTML网页特效代码,点击运行按钮可查看效果: [Ctrl+A 全部选择 提示:你可先修改部分代码,再按运行]					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLvXOb.html" rel="bookmark" class="title">微软拼音输入法新应用技巧</a>
					<div>
						1.选择微软拼音输入法2003体验版配置输入法选项,选择微软拼音新体验选项,可以尝试微软拼音输入法的新风格,该风格和流行的紫光拼音非常类似. 2.微软拼音输入法的最大特点是整句输入,然后输入法根据前后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwRe5z.html" rel="bookmark" class="title">什么是端口辐射，怎样配置端口映射</a>
					<div>
						  什么是端口映射? 端口映射又称端口转发,有的又称之为NAT.虚拟服务器.端口映射过程就如同您家在一个小区里B栋2410室,你朋友来找你,找到小区门口,不知道你住哪层哪号?就问守门的保安,保安很客气 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwyxRz.html" rel="bookmark" class="title">如何解决思科路由协议冲突&quest;</a>
					<div>
						伴随着IPv6的部署发展,越来越多公司和机构开始使用IPv6作为主要接入线路了,这就带来了一个比较麻烦的麻烦的冲突问题,旧的网络协议和新的网络协议难免会存在冲突的情况,尤其是IPv6迁移给DNS处理带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYOBZM.html" rel="bookmark" class="title">批处理批量注册DLL文件</a>
					<div>
						有时候用电脑的时候遇到由于DLL文件丢失或损坏而造成的种种故障,大家都只知道只要重新注册一下DLL文件就可以了,但是对于新手来说即使知道是DLL文件损外,但是不知道是哪个DLL文件也束手无策,所以用这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGgDOp.html" rel="bookmark" class="title">手机360浏览器设置全屏教程</a>
					<div>
						是不是很多朋友喜欢全屏去浏览网页呢?那么,可知道手机360浏览器,就可以设置全屏叻?要如何设置? 哈哈~~下面让小编来给大家讲讲吧,希望对大家有所帮助哦! 首先通过电脑下载安装统一安卓助手这款市场软件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kkNoM.html" rel="bookmark" class="title">phpcms 会员登陆注册-phpcms v9前台会员登陆注册总显示失败</a>
					<div>
						问题描述 phpcms v9前台会员登陆注册总显示失败 用phpcms v9做项目的时候发现会员登陆注册在本地都可以正常使用,传到空间上,登陆或者注册会员的时候提示信息总是&quot;登陆失败&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRJKDz.html" rel="bookmark" class="title">天猫服饰双11终极榜单：nike破10亿，海澜之家终于&OpenCurlyDoubleQuote;干掉了&rdquo;优衣库</a>
					<div>
						最终成交1682亿元,天猫双11再次刷新纪录,但数字背后折射出的是下一年的商业趋势. 从天猫双11店铺Top50的总榜单来看,服饰品牌依旧占据半壁江山.仅18分钟,服饰男女装便超去年1小时成交额. n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze61a8b.html" rel="bookmark" class="title">java-初学Java网络编程socket，为何我的服务器打不开？</a>
					<div>
						问题描述 初学Java网络编程socket,为何我的服务器打不开? 初学Java网络编程socket,写了个服务器,但是打不开,求指导.代码如下 import java.io.*; import ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwO1Ep.html" rel="bookmark" class="title">mfc界面美化-VC6&period;0 MFC字体设置（静态文本）</a>
					<div>
						问题描述 VC6.0 MFC字体设置(静态文本) 怎么设置字体,包括静态文本,编辑框,按钮上的,还有一些美化窗口界面的,初学者,希望详解,代码 解决方案 你这种情况真的没遇到过,联系您使用搜索引擎关键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK2BYb.html" rel="bookmark" class="title">代码-Myeclipse引入项目后JSP文件中报错，棘手。。</a>
					<div>
						问题描述 Myeclipse引入项目后JSP文件中报错,棘手.. 引入了一个项目,然后其他java文件都没问题,但是JSP文件出现如下报错信息: Syntax error on token &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE47dZz.html" rel="bookmark" class="title">tabpanel-extjs4&period;2&period;1中的TabPanel</a>
					<div>
						问题描述 extjs4.2.1中的TabPanel var tabs=new Ext.TabPanel({ renderTo:document.body, height:100 }); tabs.ad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK70kz.html" rel="bookmark" class="title">vb编程-我想要一个基于vb的关于招聘的管理信息系统</a>
					<div>
						问题描述 我想要一个基于vb的关于招聘的管理信息系统 我要做课程设计,变态老师变态要求,求大师们成全,让一个文科生去变成情何以堪,在这里先谢谢各位大神了 解决方案 有问题有困难问老师啊.文科生有编程能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL709AM.html" rel="bookmark" class="title">【cJSon】cJSON学习笔记（一）</a>
					<div>
						1.JSON格式简述 JSON(JavaScript Object Notation) 是一种轻量级的数据交换格式.易于人阅读和编写,同时也易于机器解析和生成.它基于JavaScript(Standa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zg0qz.html" rel="bookmark" class="title">《Ansible权威指南》一1&period;2　Ansible发展史</a>
					<div>
						1.2 Ansible发展史 Ansible的第一个版本是0.0.1,发布于2012年3月9日,其作者兼创始人是Michael DeHaan.Michael DeHaan曾经供职于Puppet Lab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBOYZM.html" rel="bookmark" class="title">开发者声称利用 FreeBSD 内核漏洞越狱 PS4</a>
					<div>
						一名开发者声称利用FreeBSD内核漏洞成功实现了PS4越狱.PS4运行的是修改自FreeBSD 9.0的Orbis OS系统.这位名叫CTurt的开发者过去几个月一直在研究PS4,他很早就注意到Fr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwNJnM.html" rel="bookmark" class="title">如何获取tomcat虚拟目录中的 绝对路径即docBase &lpar;server&period;xml中配置的&rpar;</a>
					<div>
						问题描述 本人为了是文件上传存放路径和工程不在同一个目录下,固例外设置一个目录(E:UploadFile)专门用来存放我上传文件,为了访问方便固在tomcat中的 server.xml 中配置 如下: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnXExM.html" rel="bookmark" class="title">《Android应用开发与系统改造实战》&mdash;&mdash;1&period;5节Android NDK开发环境搭建</a>
					<div>
						1.5 Android NDK开发环境搭建 Android应用开发与系统改造实战 1.5.1 Android NDK简介 Android NDK是编译嵌入在Android应用中的原生代码(C或C++) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkK2dM.html" rel="bookmark" class="title">发改委要求取缔5种涉企乱收费</a>
					<div>
						据新华社北京5月5日电国家发展和改革委员会5日宣布,为进一步优化企业发展环境,根据国务院要求,发展改革委近日发出&lt;关于治理规范经营服务性收费的通知&gt;,决定在全国范围内重点治理.规范行政机关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NDg5p.html" rel="bookmark" class="title">Android中的Dalvik和ART详解及区别分析&lowbar;Android</a>
					<div>
						要想知道Dalvik和ART区别分析,首先我们要分别知道这两者是什么? 什么是Dalvik? Dalvik是Google公司自己设计用于Android平台的虚拟机. Dalvik虚拟机是Google等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlaDrp.html" rel="bookmark" class="title">关于双向链表的增删改查和排序的C&plus;&plus;实现&lowbar;C 语言</a>
					<div>
						双向链表也叫双链表,是链表的一种,它的每个数据结点中都有两个指针,分别指向直接后继和直接前驱.所以,从双向链表中的任意一个结点开始,都可以很方便地访问它的前驱结点和后继结点.一般我们都构造双向循环链表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2JxyM.html" rel="bookmark" class="title">光伏酝酿&OpenCurlyDoubleQuote;反攻&rdquo; 融资租赁催生新动能</a>
					<div>
						光伏作为一个集光环争议于一身的行业,它承载了国家能源转型的重任,同时也暴露出了补贴缺位.弃光限电.土地问题显在化等一系列问题.然而,在目前这些问题集中爆发的关键阶段,光伏企业能否一如既往的占得有利地位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZXVqb.html" rel="bookmark" class="title">【hibernate框架】关于多对一与一对多关系的剖析</a>
					<div>
						关于一对多,举个例子,一个用户组可以包含多个用户,每个用户只能属于一个用户组.一个人可以有多辆车,每辆车只能属于一个人.这些都是一对多的关系. 打个比方,一个人可以有多辆车,每辆车只能属于一个人. 两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYPLZb.html" rel="bookmark" class="title">甲骨文5000万美元收购以色列大数据公司Crosswise</a>
					<div>
						大数据巨头甲骨文公司日前宣布已经收购以色列大数据公司Crosswise.Crosswise是一家跨设备广告公司,可以识别同一用户拥有的不同设备,从而向这些设备推送用户感兴趣的广告. 收购的细节还没有公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YO77p.html" rel="bookmark" class="title">This exception may occur if matchers are combined with raw values</a>
					<div>
						  org.mockito.exceptions.misusing.InvalidUseOfMatchersException: Invalid use of argument matchers!3  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBXPAb.html" rel="bookmark" class="title">国产网游创业之痛：八成因技术问题要回炉</a>
					<div>
						近日,一份业内报告称2012年中国网络游戏市场规模可能突破400亿.一方面是可观的市场前景,另一方面却是网游陷入同质化竞争.淘汰率高的红海状态.为了在越来越激烈的竞争中保持优势,国内许多网游大公司像盛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdOgkM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;O2O闭环&rdquo;难题如何解决</a>
					<div>
						李静颖 自从2011年4月进军移动互联网之后,在本地生活服务领域扎根的丁丁网一直在不断地调整商业模式.手握全国11万张优惠券以及6万家合作商户的资源,过去一年多丁丁网CEO徐龙江一直在思考同样的问题: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWwwAp.html" rel="bookmark" class="title">请问目前有哪些网站提供---短信Web Service ？？？？？？？？？</a>
					<div>
						问题描述 请问目前有哪些网站提供---短信WebService?????????谢谢!!!!! 解决方案 解决方案二:www.nbnc.cn接口为web形试,你程序里执行post就行了					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
